zipios::Exception Class Reference

Basic exception. More...

`#include <fcollexceptions.h>`

Inheritance diagram for zipios::Exception:
[legend]

## Public Member Functions

| Exception (const string &msg) throw ()
| Exception (const Exception &src) throw ()
Exception & | operator= (const Exception &src) throw ()
virtual const char * | what () const throw ()

## Detailed Description

Basic exception.

Definition at line 61 of file fcollexceptions.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

zipios::Exception::Exception | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 95 of file fcollexceptions.cpp.

## Exception() [2/3]

zipios::Exception::Exception | ( | const string & | msg | ) |
throw | ( | ) |  |  |

explicit

Definition at line 98 of file fcollexceptions.cpp.

## Exception() [3/3]

zipios::Exception::Exception | ( | const Exception & | src | ) |
throw | ( | ) |  |  |

Definition at line 101 of file fcollexceptions.cpp.

## ~Exception()

zipios::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

virtual

Definition at line 117 of file fcollexceptions.cpp.

## Member Function Documentation

## operator=()

Exception & zipios::Exception::operator= | ( | const Exception & | src | ) |
throw | ( | ) |  |  |

Definition at line 106 of file fcollexceptions.cpp.

## what()

const char * zipios::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Definition at line 113 of file fcollexceptions.cpp.

The documentation for this class was generated from the following files:

- fcollexceptions.h
- fcollexceptions.cpp